/*
 * Licensed Materials - Property of IBM
 * 
 * 		5724-I66
 * 
 * (C) Copyright IBM Corporation 2005. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 * 
 * DISCLAIMER:
 * The following [enclosed] code is sample code created by IBM
 * Corporation. This sample code is not part of any standard IBM product
 * and is provided to you solely for the purpose of assisting you in the
 * development of your applications. The code is provided 'AS IS',
 * without warranty of any kind IBM shall not be liable for any damages
 * arising out of your use of sample code, even if they have been
 * advised of the possibility of such damages.
 */ 
package com.emerged.brokerage;


public class CashBalanceChangeRequest implements java.io.Serializable {

	private String customerNumber = null;
	private Double amount = null;
	private Integer returnCode = null;
	private Double updatedBalance = null;	
	
	public CashBalanceChangeRequest() {
		super();
	}

	/**
	 * @return Returns the amount.
	 */
	public Double getAmount() {
		return amount;
	}
	/**
	 * @param amount The amount to set.
	 */
	public void setAmount(Double amount) {
		this.amount = amount;
	}
	/**
	 * @return Returns the customerNumber.
	 */
	public String getCustomerNumber() {
		return customerNumber;
	}
	/**
	 * @param customerNumber The customerNumber to set.
	 */
	public void setCustomerNumber(String customerNumber) {
		this.customerNumber = customerNumber;
	}
	/**
	 * @return Returns the returnCode.
	 */
	public Integer getReturnCode() {
		return returnCode;
	}
	/**
	 * @param returnCode The returnCode to set.
	 */
	public void setReturnCode(Integer returnCode) {
		this.returnCode = returnCode;
	}
	/**
	 * @return Returns the updatedBalance.
	 */
	public Double getUpdatedBalance() {
		return updatedBalance;
	}
	/**
	 * @param updatedBalance The updatedBalance to set.
	 */
	public void setUpdatedBalance(Double updatedBalance) {
		this.updatedBalance = updatedBalance;
	}
}
