<!--

 Licensed Materials - Property of IBM
 
 		5724-I66
 
 (C) Copyright IBM Corporation 2005. All Rights Reserved. 
 
 Note to U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 
 DISCLAIMER:
 The following [enclosed] code is sample code created by IBM
 Corporation. This sample code is not part of any standard IBM product
 and is provided to you solely for the purpose of assisting you in the
 development of your applications. The code is provided 'AS IS',
 without warranty of any kind IBM shall not be liable for any damages
 arising out of your use of sample code, even if they have been
 advised of the possibility of such damages.
 
-->

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<HTML>
<HEAD>
<%@ page 
language="java"
contentType="text/html; charset=ISO-8859-1"
pageEncoding="ISO-8859-1"
%>
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<META name="GENERATOR" content="IBM WebSphere Studio">
<TITLE>topNav.jsp</TITLE>
<jsp:useBean id="topNavBean" scope="session" class="com.emerged.jspbeans.TopNavBean" /> 
</HEAD>



<BODY>
<%




//get customer number from session object
String customerNumber           = (String)session.getAttribute("customerNumber"); 


//retrieve all data for the portal
Object[] topNav_outputObjects = topNavBean.getPortalInfo(customerNumber);


//the PortalInfo business object
commonj.sdo.DataObject topNav_portalInfo = (commonj.sdo.DataObject)topNav_outputObjects[0];

//customer business object wrapper
commonj.sdo.DataObject topNav_customer_wrapper = topNav_portalInfo.getDataObject("bankCustomer");




//
// the topNav_customer sdo object is wrapper object due to "PortalProcess".
// we must peel the real customer out of the retrieveCustomerResponse type.
//

//customer business object
commonj.sdo.DataObject topNav_customer = topNav_customer_wrapper.getDataObject("outputCustomer");
//place the peeled-out customer into the portalInfo business Object
topNav_portalInfo.setDataObject("bankCustomer",topNav_customer);


String firstName = topNav_customer.getString("firstName");
String lastName  = topNav_customer.getString("lastName");

//store the portal data into the session object , so that home.jsp can access it.
session.setAttribute("portalData",topNav_outputObjects);


%>
<TABLE border="0" cellpadding="10" cellspacing="0" width="100%">
	<TBODY>
		<TR>
			<TD width="75%" bgcolor="#FFFFFF" valign="middle" align="center"><font
				face="Comic Sans MS" size="+4"><B>eMerged Financial Portal</B></font>
			</TD>
			<TD width="1%" bgcolor="#FFFFFF">&nbsp;</TD>
			<TD width="24%"bgcolor="#FFFFFF" align="right">
			<TABLE>
				<TBODY>
					<TR>
						<TD><i>Welcome, <font color="#660066"><b><%=firstName%> <%=lastName%></b></font></i></TD>
					</TR>
					<TR>
<%
java.text.SimpleDateFormat formatter = new java.text.SimpleDateFormat();
String date = formatter.format(java.util.Calendar.getInstance().getTime());
%>

						<TD><b><%=date%></b></TD>
					</TR>
<%
String logoutLink = request.getContextPath() + "/logout.jsp";
%>					
					<TR>
						<TD><font color="#660066"><b><a href="<%=logoutLink%>">logout</a></b></font></TD>
					</TR>
				</TBODY>
			</TABLE>
			</TD>
		</TR>
	</TBODY>
</TABLE>
</BODY>
</HTML>
