/*
 * Licensed Materials - Property of IBM
 * 		5724-D15, 5724-I66
 * 
 * (C) Copyright IBM Corporation 2003, 2005. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP  Schedule Contract with IBM Corp. 
 * 
 * DISCLAIMER:
 * The following [enclosed] code is sample code created by IBM
 * Corporation. This sample code is not part of any standard IBM product
 * and is provided to you solely for the purpose of assisting you in the
 * development of your applications. The code is provided 'AS IS',
 * without warranty of any kind IBM shall not be liable for any damages
 * arising out of your use of sample code, even if they have been
 * advised of the possibility of such damages.
 */

package com.emerged.bank;



    public class Account implements java.io.Serializable {
        
        public static final String CHECKING = "C";
        public static final String SAVING = "S";  
        
        private String AccountNumber = null;
        private Double Balance = null;
        private String Type = null;
        private String Description = null;
        private Double MaximumDailyWithdrawalLimit = null;        
        /**
		 * @return Returns the accountNumber.
		 */
		public String getAccountNumber() {
			return AccountNumber;
		}
		/**
		 * @param accountNumber The accountNumber to set.
		 */
		public void setAccountNumber(String accountNumber) {
			AccountNumber = accountNumber;
		}
		/**
		 * @return Returns the balance.
		 */
		public Double getBalance() {
			return Balance;
		}
		/**
		 * @param balance The balance to set.
		 */
		public void setBalance(Double balance) {
			Balance = balance;
		}
		/**
		 * @return Returns the description.
		 */
		public String getDescription() {
			return Description;
		}
		/**
		 * @param description The description to set.
		 */
		public void setDescription(String description) {
			Description = description;
		}
		/**
		 * @return Returns the maximumDailyWithdrawalLimit.
		 */
		public Double getMaximumDailyWithdrawalLimit() {
			return MaximumDailyWithdrawalLimit;
		}
		/**
		 * @param maximumDailyWithdrawalLimit The maximumDailyWithdrawalLimit to set.
		 */
		public void setMaximumDailyWithdrawalLimit(
				Double maximumDailyWithdrawalLimit) {
			MaximumDailyWithdrawalLimit = maximumDailyWithdrawalLimit;
		}
		/**
		 * @return Returns the type.
		 */
		public String getType() {
			return Type;
		}
		/**
		 * @param type The type to set.
		 */
		public void setType(String type) {
			Type = type;
		}
}

