<!--

 Licensed Materials - Property of IBM
 
 		5724-I66
 
 (C) Copyright IBM Corporation 2005. All Rights Reserved. 
 
 Note to U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 
 DISCLAIMER:
 The following [enclosed] code is sample code created by IBM
 Corporation. This sample code is not part of any standard IBM product
 and is provided to you solely for the purpose of assisting you in the
 development of your applications. The code is provided 'AS IS',
 without warranty of any kind IBM shall not be liable for any damages
 arising out of your use of sample code, even if they have been
 advised of the possibility of such damages.
 
-->

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<HTML>
<HEAD>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<META name="GENERATOR" content="IBM Software Development Platform">
<TITLE>home.jsp</TITLE>

</HEAD>
<BODY bgcolor="#99CCFF" text="#333366">

 
<TABLE cellpadding="0" cellspacing="0" width="100%" border="0">
	<TBODY>
		<TR>
			<TD width="100%"><jsp:include page="topNav.jsp" /></TD>
		</TR>
		
		<%
		
		//
		// topNav.jsp (included above) already retrieved the portal data
		// and put it into the session object.
		//
        //get the portal data from the session object
		Object[] outputObjects           = (Object[])session.getAttribute("portalData"); 

        //the PortalInfo business object
		commonj.sdo.DataObject portalInfo = (commonj.sdo.DataObject)outputObjects[0];

        //the currency rates
		Float cadRate                     =   (Float)outputObjects[1];
		Float usdRate                     =   (Float)outputObjects[2];
		Float gbpRate                     =   (Float)outputObjects[3];

        //customer 
		commonj.sdo.DataObject customer = portalInfo.getDataObject("bankCustomer");
        
        
        //bank accounts
		java.util.List bankAccounts = portalInfo.getList("bankAccounts"); 

		commonj.sdo.DataObject bankAccount = null;


        //news articles
		java.util.List newsArticles = portalInfo.getList("news"); 

		commonj.sdo.DataObject newsArticle = null;
		commonj.sdo.DataObject newsCategory = null;

        //brokerage account
		commonj.sdo.DataObject brokerageAccount = portalInfo.getDataObject("brokerageAccount");

        //stock portfolio
		commonj.sdo.DataObject stockPortfolio = portalInfo.getDataObject("stockPortfolio"); 

        //stocks
		java.util.List stockInfoList = stockPortfolio.getList("stockInfoList");   

		commonj.sdo.DataObject stockInfo = null;
		 
		 java.text.DecimalFormat df = new java.text.DecimalFormat("0.00");
		
		%>
		<TR>
			<TD width="100%">
			<TABLE border="0" cellpadding="10" cellspacing="0" width="100%">
				<TBODY>
					<TR>

						<TD></TD>
						<TD width="100%" valign="top">
						<TABLE width="100%" border="0" height="408">
							<TBODY>

								<TR>
									<TD width="70%" valign="top" height="143">
									<TABLE width="100%" cellpadding="3">
										<TBODY>
											<TR>
												<TD height="2" bgcolor="#333366"><FONT color="#FFFFFF"
													face="Arial, Helvetica, sans-serif"><B><FONT size="+1">Portfolio
												Stock Quotes </FONT></B></FONT></TD>
											</TR>
										</TBODY>
									</TABLE>


									<TABLE width="100%" border="0" cellpadding="3">
										<TBODY>
                                            <%
                                             if (stockInfoList != null) {
                                             	String symbol = null;
                                             	int qty       = 0;
                                             	double value   = 0;
                                             	double totalValue = 0;
                                             	
                                             	java.util.Iterator it = stockInfoList.iterator();
                                             	while(it.hasNext()) {
                                             		stockInfo = (commonj.sdo.DataObject)it.next();
                                             		symbol = stockInfo.getString("symbol");
                                             		qty    = stockInfo.getInt("quantity");
                                             		value  = stockInfo.getDouble("pricePerShare");
                                             		totalValue = qty * value;
                                             	
                                             %>
											<TR>
												<TD width="20%"><B><FONT face="Arial, Helvetica, sans-serif"><%=qty %>	shares of </FONT></B></TD>
												<TD width="10%"><B><FONT face="Arial, Helvetica, sans-serif"><%=symbol %> </FONT></B></TD>
												<TD width="20%"><B><FONT face="Arial, Helvetica, sans-serif">at	$<%=df.format(value) %></FONT></B></TD>
												<TD width="50%"><B><FONT face="Arial, Helvetica, sans-serif">= $<%=df.format(totalValue)%></FONT></B></TD>
											</TR>
											
											<%
                                             	}//while
                                            %>
    										<TR>
												<TD>&nbsp;</TD>
											</TR>

											<TR>
												<TD colspan="3"><B><FONT face="Arial, Helvetica, sans-serif">TOTAL</FONT></B></TD>
													<%
													  double totalPortfolioValue = stockPortfolio.getDouble("value"); 
													%>
												<TD><B><FONT face="Arial, Helvetica, sans-serif">= $<%=df.format(totalPortfolioValue) %></FONT></B></TD>
											</TR>
                                            <% 		
											  }else {
											  	//there are no stocks to list
                                             %>
												<TR>
													<TD><B><FONT face="Arial, Helvetica, sans-serif">No stocks</FONT></B></TD>
												</TR>
                                             
                                             <%
											  }//endif
											 %>

										</TBODY>
									</TABLE>

									</TD>
									<TD width="25%" valign="top" height="165" rowspan="3">
									<TABLE width="100%" cellpadding="3">
										<TBODY>
											<TR>
												<TD height="2" bgcolor="#333366"><FONT color="#FFFFFF"
													face="Arial, Helvetica, sans-serif"><B><FONT size="+1">Currency Rates</FONT></B></FONT></TD>
											</TR>
										</TBODY>
									</TABLE>

									<TABLE width="100%" border="0">
										<TBODY>
										<%
										   String rateUnAvailable="Unavailable";
										   String cadRateText = null;
										   String usdRateText = null;
										   String gbpRateText = null;	
										   
										   if (cadRate != null)
										   	  cadRateText = "$" + df.format(cadRate);
										   else 
										   	  cadRateText = rateUnAvailable;
										   
										   if (usdRate != null)
										   	  usdRateText = "$" + df.format(usdRate);
										   else 
										   	  usdRateText = rateUnAvailable;
										   
										   if (gbpRate != null)
										   	  gbpRateText = "$" + df.format(gbpRate);
										   else 
										   	  gbpRateText = rateUnAvailable;
										   
										%>
											<TR>
												<TD width="100%" height="20"><B><FONT face="Arial, Helvetica, sans-serif">CAD : <%=cadRateText%>   </FONT></B></TD>
											</TR>
											<TR>
												<TD width="100%" height="20"><B><FONT face="Arial, Helvetica, sans-serif">USD : <%=usdRateText%>   </FONT></B></TD>
											</TR>
											<TR>
												<TD width="100%" height="20"><B><FONT face="Arial, Helvetica, sans-serif">GBP : <%=gbpRateText%>   </FONT></B></TD>
											</TR>
											
										</TBODY>
									</TABLE>
									</TD>

								</TR>
								<TR><TD>&nbsp;</TD></TR>
								<TR>
									<TD width="45%" valign="top">
									<TABLE width="100%" cellpadding="3">
										<TBODY>
											<TR>
												<TD height="2" bgcolor="#333366"><FONT color="#FFFFFF"
													face="Arial, Helvetica, sans-serif"><B><FONT size="+1">Bank
												Account Balances</FONT></B></FONT></TD>
											</TR>
										</TBODY>
									</TABLE>


									<TABLE width="100%" border="0">
										<TBODY>

											<%
											  if (bankAccounts != null) {
											    String accountNumber = null;
											    String accountDescription = null;
											    double balance = 0.0;
											    java.util.Iterator it = bankAccounts.iterator();
											    while(it.hasNext()) {
											    
											      accountNumber      = null;
											      accountDescription = null;
											      balance            = 0.0;
											    
											      bankAccount = (commonj.sdo.DataObject)it.next();
											      
											      accountNumber      = bankAccount.getString("accountNumber");
											      accountDescription = bankAccount.getString("description");
											      balance            = bankAccount.getDouble("balance");
											 %>
											<TR>
												<TD width="25%"><B><FONT face="Arial, Helvetica, sans-serif"><%=accountNumber%></FONT></B></TD>
												<TD width="25%"><B><FONT face="Arial, Helvetica, sans-serif"><%=accountDescription%></FONT></B></TD>
												<TD width="50%"><B><FONT face="Arial, Helvetica, sans-serif">$<%=df.format(balance)%></FONT></B></TD>
											</TR>


                                            <%
                                                }//while
                                             }//if 
											 else {
											 	//there are no bank accounts
											 %>
											<TR>
												<TD><B><FONT face="Arial, Helvetica, sans-serif">No accounts</FONT></B></TD>
											</TR>
											 
											 <%	
											 }//endif
                                             %>
										</TBODY>
									</TABLE>
									</TD>
								</TR>
								<TR><TD>&nbsp;</TD></TR>
								<TR>
									<TD rowspan="2" width="25%" valign="top" height="165">
									<TABLE width="100%" cellpadding="3">
										<TBODY>
											<TR>
												<TD height="2" bgcolor="#333366"><FONT color="#FFFFFF"
													face="Arial, Helvetica, sans-serif"><B><FONT size="+1">Today's
												Headline News</FONT></B></FONT></TD>
											</TR>
										</TBODY>
									</TABLE>

										   <%
										     if (newsArticles != null) {
										     	
										     	//
										     	//organize the articles into category groups before displaying them
												//
												
										     	//a hashtable will contain a list of articles for each category
										     	java.util.Hashtable articlesByCategory = new java.util.Hashtable();
										     	java.util.Vector v = null;
										     	java.util.Iterator it = newsArticles.iterator();
										     	

										     	String articleCategoryName = null;
										     	String articleTitle               = null;
										     	String articleUrl                 = null;
										     	
										     	//loop through the unorganized list of articles and organize them into categories
										     	while(it.hasNext()) {
										     		   //get the article object
											     	   newsArticle = (commonj.sdo.DataObject)it.next();										     		
										     		   //get the article category object
											     	   newsCategory = newsArticle.getDataObject("category");
										     		   
										     		   //get the category name
											     	   articleCategoryName = newsCategory.getString("name");
										     		   
											     	   if (!articlesByCategory.containsKey(articleCategoryName)) {
											     	   	   //this category is new to the hashtable, so create vector and add article to it
														   v = new java.util.Vector();
											     	   	   v.add(newsArticle);
											     	   	   //store this vector
											     	   	   articlesByCategory.put(articleCategoryName,v);
											     	   }//if
													   else {
													   	//this category already exists in hash table, so get vector and add article to it
														v = (java.util.Vector)articlesByCategory.get(articleCategoryName);
													   	v.addElement(newsArticle);
													   }
											    }//while										     	   

											    //
												// display articles by category
												//
										     	if (articlesByCategory.size()>0) {
										     		 
										     	    //get the hashtable keys (unique category names)
                                                    java.util.Enumeration keys = articlesByCategory.keys();										     	

                                                    while(keys.hasMoreElements()) {
                                                    	//get the category key
                                                    	articleCategoryName = (String)keys.nextElement();
                                                    	//get the list of articles in that category
                                                    	v = (java.util.Vector)articlesByCategory.get(articleCategoryName);
                                                    	%>
                                                    	<BR>
														<TABLE width="100%" border="0">
														 <CAPTION align="left"><B><%=articleCategoryName%></B></CAPTION>
															<TBODY>
                                                    	
                                                    	<%
                                                        it = v.iterator();
                                                        while(it.hasNext()) {
                                                        	
     										     		   //get the article object
     											     	   newsArticle = (commonj.sdo.DataObject)it.next();										     		
                                                           articleTitle = newsArticle.getString("title");	
                                                           articleUrl   = newsArticle.getString("url");
                                                         %>
               											<TR valign="top">
														<TD width="100%" height="10"><A HREF="<%=articleUrl%>" TARGET="_blank"><%=articleTitle%></A></TD>
													    </TR>
                                                        <%   
                                                        }//while
                                                        %>
                										</TBODY>
														</TABLE>
                                                        <% 
                                                    }//while
										     	}//if
										     }//if
											 else {
											 	//there are no news articles
											 %>
												<TABLE>
												<TR><TD><B><FONT face="Arial, Helvetica, sans-serif">No news articles</FONT></B></TD></TR>
											 	</TABLE>
											 <% 
											   }//endif
											%>
									</TD>
								</TR>
							</TBODY>
						</TABLE>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
			</TD>
		</TR>
	</TBODY>
</TABLE>
</BODY>
</HTML>
